Loading...
Searching...
No Matches
triple< T1, T2, T3 > Class Template Reference

`#include <openbabel/obutil.h>`

## Public Types

typedef T1 | first_type
typedef T2 | second_type
typedef T3 | third_type

## Public Member Functions

| triple ()
| triple (const T1 &a, const T2 &b, const T3 &c)
template<class U, class V, class W>
| triple (const triple< U, V, W > &t)

## Public Attributes

T1 | first
T2 | second
T3 | third

## Detailed Description

template<class T1, class T2, class T3>
class OpenBabel::triple< T1, T2, T3 >

A 3-element templated, based on the design of the STL pair<>.

## Member Typedef Documentation

## first_type

template<class T1, class T2, class T3>

typedef T1 first_type

## second_type

template<class T1, class T2, class T3>

typedef T2 second_type

## third_type

template<class T1, class T2, class T3>

typedef T3 third_type

## Constructor & Destructor Documentation

## triple() [1/3]

template<class T1, class T2, class T3>

triple | ( |  | ) |

inline

Default constructor T1() and T2() and T3() force initialization for built in types

Referenced by triple().

## triple() [2/3]

template<class T1, class T2, class T3>

triple | ( | const T1 & | a,
|  | const T2 & | b,
|  | const T3 & | c )

inline

Constructor for 3 values.

## triple() [3/3]

template<class T1, class T2, class T3>
template<class U, class V, class W>

triple | ( | const triple< U, V, W > & | t | ) |

inline

Copy constructor with implicit conversions.

## Member Data Documentation

## first

template<class T1, class T2, class T3>

T1 first

Referenced by OBAngle::GetAtoms(), OBAngle::SetAtoms(), triple(), triple(), and triple().

## second

template<class T1, class T2, class T3>

T2 second

Referenced by OBAngle::GetAtoms(), OBAngle::SetAtoms(), triple(), triple(), and triple().

## third

template<class T1, class T2, class T3>

T3 third

Referenced by OBAngle::GetAtoms(), OBAngle::SetAtoms(), triple(), triple(), and triple().

The documentation for this class was generated from the following file:

- obutil.h